package com.ruoyi.oa.service;


import com.ruoyi.oa.domain.bo.SysOaReceiveAccountBo;
import com.ruoyi.oa.domain.vo.SysOaReceiveAccountVo;

import java.util.Collection;
import java.util.List;

/**
 * 付款账户管理Service接口
 *
 * @author hdka
 * @date 2024-11-02
 */
public interface ISysOaReceiveAccountService {

    /**
     * 查询付款账户管理
     */
    SysOaReceiveAccountVo queryById(Long receiveAccountId);

    /**
     * 查询付款账户管理列表
     */
    List<SysOaReceiveAccountVo> queryPageList(SysOaReceiveAccountBo bo);

    /**
     * 查询付款账户管理列表
     */
    List<SysOaReceiveAccountVo> queryList(SysOaReceiveAccountBo bo);

    /**
     * 新增付款账户管理
     */
    SysOaReceiveAccountVo insertByBo(SysOaReceiveAccountBo bo);

    /**
     * 修改付款账户管理
     */
    Boolean updateByBo(SysOaReceiveAccountBo bo);

    /**
     * 校验并批量删除付款账户管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
